Bug 861782 - Build citeproc-hs with bibutils support
Build citeproc-hs with bibutils support
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ghc-citeproc-hs (Show other bugs)
17
All Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On: ghc-hs-bibutils
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-30 13:44 EDT by Mark Knoop
Modified: 2012-12-15 12:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-15 12:53:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Knoop 2012-09-30 13:44:53 EDT
Description of problem:

pandoc returns an error when using a bibtex bibliography.

  pandoc: citeproc: Bibliography format not supported.
  citeproc-hs was not compiled with bibutils support.

Version-Release number of selected component (if applicable):

pandoc-1.9.4.1-1.fc17.x86_64

How reproducible:

100%

Steps to Reproduce:
1. pandoc --bibliography=bib.bib test.rst -o test.pdf
  
Actual results:

Error message and no output.

Expected results:

Lovely pdf with citation from bib.bib

Additional information:

Also requested by others in distributions such as Arch and Ubuntu

https://bugs.launchpad.net/ubuntu/+source/haskell-citeproc-hs/+bug/881355
https://bbs.archlinux.org/viewtopic.php?id=146192
Comment 1 Jens Petersen 2012-10-01 05:03:24 EDT
Thanks for the request.

I will try to make this happen finally...
Comment 2 Jens Petersen 2012-10-01 07:29:55 EDT
Ok I have submitted package reviews for bibutils and hs-bibutils.
Comment 3 Jens Petersen 2012-11-21 03:26:25 EST
This is now built for F19 rawhide.

I plan to backport sooner or later to F18 and F17.
Comment 4 Fedora Update System 2012-12-03 02:35:21 EST
pandoc-1.9.4.5-2.fc18,ghc-citeproc-hs-0.3.6-2.fc18,ghc-hakyll-3.2.7.2-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pandoc-1.9.4.5-2.fc18,ghc-citeproc-hs-0.3.6-2.fc18,ghc-hakyll-3.2.7.2-7.fc18
Comment 5 Jens Petersen 2012-12-03 02:36:55 EST
Still plan also to backport also to F17
Comment 6 Fedora Update System 2012-12-03 21:27:40 EST
pandoc-1.9.4.2-7.fc17,ghc-citeproc-hs-0.3.6-3.fc17,ghc-hakyll-3.2.7.2-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pandoc-1.9.4.2-7.fc17,ghc-citeproc-hs-0.3.6-3.fc17,ghc-hakyll-3.2.7.2-7.fc17
Comment 7 Jens Petersen 2012-12-03 21:29:23 EST
Ok - not really planning to backport to f16 unless there is demand.
I expect there will be a backport to EPEL6 later.
Comment 8 Fedora Update System 2012-12-05 01:58:36 EST
Package pandoc-1.9.4.2-7.fc17, ghc-citeproc-hs-0.3.6-3.fc17, ghc-hakyll-3.2.7.2-7.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pandoc-1.9.4.2-7.fc17 ghc-citeproc-hs-0.3.6-3.fc17 ghc-hakyll-3.2.7.2-7.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19745/pandoc-1.9.4.2-7.fc17,ghc-citeproc-hs-0.3.6-3.fc17,ghc-hakyll-3.2.7.2-7.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-12-11 19:27:47 EST
pandoc-1.9.4.5-2.fc18, ghc-hakyll-3.2.7.2-7.fc18, ghc-citeproc-hs-0.3.6-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-12-15 12:53:26 EST
pandoc-1.9.4.2-7.fc17, ghc-citeproc-hs-0.3.6-3.fc17, ghc-hakyll-3.2.7.2-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.